package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * SupportOsgModelOpenApiAppVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class SupportOsgModelOpenApiAppVo   {
  @JsonProperty("supportModels")
  @Valid
  private List<OsgModelOpenApiInfoVo> supportModels = new ArrayList<>();

  public SupportOsgModelOpenApiAppVo supportModels(List<OsgModelOpenApiInfoVo> supportModels) {
    this.supportModels = supportModels;
    return this;
  }

  public SupportOsgModelOpenApiAppVo addSupportModelsItem(OsgModelOpenApiInfoVo supportModelsItem) {
    this.supportModels.add(supportModelsItem);
    return this;
  }

  /**
   * Model ID and name
   * @return supportModels
  */
  @ApiModelProperty(required = true, value = "Model ID and name")
  @NotNull

  @Valid

  public List<OsgModelOpenApiInfoVo> getSupportModels() {
    return supportModels;
  }

  public void setSupportModels(List<OsgModelOpenApiInfoVo> supportModels) {
    this.supportModels = supportModels;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    SupportOsgModelOpenApiAppVo supportOsgModelOpenApiAppVo = (SupportOsgModelOpenApiAppVo) o;
    return Objects.equals(this.supportModels, supportOsgModelOpenApiAppVo.supportModels);
  }

  @Override
  public int hashCode() {
    return Objects.hash(supportModels);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class SupportOsgModelOpenApiAppVo {\n");
    
    sb.append("    supportModels: ").append(toIndentedString(supportModels)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

